/* ========================== */
/* ========= GLOBAL ========= */
/* ========================== */

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html{
  scroll-behavior: smooth;
}

header{
  position: sticky;
  top: 0;
  z-index: 9999;
}

body{
  min-height: 100vh;
}


/* NAVBAR */

.navbar{
  position: sticky;
  top: 0;
  width: 100%;
  height: 80px;
  background: #065784;
  box-shadow: 0 1px 5px rgba(0,0,0,.5) ;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* LOGO */

.navbar-logo{
  margin-left: 100px;
  display: flex;
  align-items: center;
  transition: opacity .25s, transform .15s;
}

.navbar-logo img{
  max-height: 55px;
  width: auto;
  display: block;
}

/* LIENS MENU */

.navbar-links{
  margin-right: 100px;
  display: flex;
  gap: 100px;
  align-items: center;
  margin-left: 50px;
}

.navbar-links a,
.mobile-menu a{
  font-family: "Momo Trust Display";
  color: white;
  font-size: 25px;
  text-decoration: none;
  transition: opacity .25s, transform .15s;
  -webkit-tap-highlight-color: transparent;
}

/* EFFET HOVER */

.navbar-links a:hover,
.navbar-logo:hover{
  opacity: .7;
}

/* EFFET AU CLIC */

.navbar-links a:active,
.mobile-menu a:active,
.navbar-logo:active{
  opacity: .7;
  transform: scale(.95);
}

/* MENU BURGER */

.burger{
  display: none;
  position: absolute;
  right: 30px;
  width: 30px;
  height: 40px;
  background: none;
  border: none;
  cursor: pointer;
  z-index: 10001;
}

.burger span{
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background: white;
  border-radius: 999px;
  transition: .35s;
}

.burger span:nth-child(1){
  top: 8px;
}

.burger span:nth-child(2){
  top: 20px;
}

.burger span:nth-child(3){
  top: 32px;
}

.burger span:nth-child(4){
  top: 44px;
}

.burger.active span:nth-child(1){
  transform:
    rotate(45deg)
    translate(9px,9px);
}

.burger.active span:nth-child(2){
  opacity: 0;
}

.burger.active span:nth-child(3){
  transform:
    rotate(-45deg)
    translate(8px,-8px);
}

/* MENU TEL */

.mobile-menu{
  position: fixed;
  inset: 0;
  background: #065784;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 50px;
  transform: translateY(-100%);
  opacity: 0;
  visibility: hidden;
  transition: transform .45s ease, opacity .45s ease;
}

.mobile-menu.open{
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
}

/* FOOTER */


.footer{
  background: #1a1a1a;
  color: #ffffff;
  padding: 75px 100px;
}

.footer-inner{
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* RETOUR HAUT */
.footer-top{
  font-family: "Momo Trust Display";
  font-size: 30px;
  color: #ffffff;
  text-decoration: none;
  text-align: center;
  background: none;
  border: none;
  cursor: pointer;
  transition: opacity .2s ease;
}

.footer-top:hover{
  opacity: 0.7;
}

.footer-links{
  margin-top: 35px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.footer-links a,
.footer-cookies{
  font-family: "Momo Trust Sans";
  font-size: 20px;
  font-weight: 600;
  color: #ffffff;
  text-decoration: none;
  background: none;
  border: none;
  cursor: pointer;
  text-align: center;
  transition: opacity .2s ease;
}

.footer-links a:hover,
.footer-cookies:hover{
  opacity: 0.7;
}

.footer-bottom{
  margin-top: 75px;
  font-family: "Momo Trust Sans";
  font-size: 18px;
  font-weight: 300;
  color: #ffffff;
}


/* ===== RESPONSIVE ===== */

/* NAVBAR */

@media(max-width:1100px) {

.navbar{
  justify-content: center;
}

.navbar-logo{
  margin: 0;
}

.navbar-logo img{
  max-height: 50px;
}

.navbar-links{
  display: none;
}

.burger{
  display: block;
}
}

@media(max-width:1400px){

.navbar{
padding-right: 0px;
}

.navbar-links{
gap:70px;
}

.navbar-links a{
font-size:25px;
}

}



/* FOOTER */

@media(max-width:1100px) {

.footer{
  padding: 60px 30px;
}

.footer-top{
  font-size: 26px;
}

.footer-links{
  margin-top: 30px;
  gap: 16px;
}

.footer-links a,
.footer-cookies{
  font-size: 18px;
}

.footer-bottom{
  margin-top: 60px;
  font-size: 16px;
}
}

@media(max-width:600px) {

.footer{
  padding: 50px 25px;
}

.footer-inner{
  align-items: center;
  text-align: center;
}

.footer-top{
  font-size: 24px;
}

.footer-links{
  align-items: center;
  gap: 14px;
}

.footer-links a,
.footer-cookies{
  font-size: 16px;
  text-align: center;
}

.footer-bottom{
  margin-top: 50px;
  font-size: 14px;
}
}








/* ========================== */
/* ===== PAGE D'ACCUEIL ===== */
/* ========================== */


/* HERO */

.hero{
  height: 1000px;
  background: url("main/assets/herobg.webp");
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  position: relative;
}

.hero-content{
  margin-left: 150px;
  max-width: 850px;
}

.hero-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #ffffff;
  line-height: 1.1;
  font-weight: 400;
}

.hero-text{
  margin-top: 20px;
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #ffffff;
  line-height: 1.3;
  max-width: 780px;
}

.cta{
  max-width: 400px;
  margin-top: 30px;
  display: flex;
  align-items: center;
justify-content: center;
  padding: 20px 50px;
  text-decoration: none;
  font-family: "Momo Trust Display";
  font-size: 30px;
  color: white;
  background: #065784;
  transition: .5s;
  box-shadow: 6px 6px 0 white;
  transform: skewX(-15deg);
  border: none;
  cursor: pointer;
}

.cta:focus{
  outline: none;
}

.cta:hover{
  box-shadow: 10px 10px 0 #459ecf;
}

.cta .second{
  transition: .5s;
  margin-right: 0;
}

.cta:hover .second{
  margin-right: 30px;
}

.span{
  transform: skewX(15deg);
}

.second{
  width: 10px;
  margin-left: 20px;
  position: relative;
  top: 12%;
}

.one{
  transition: .4s;
  transform: translateX(-60%);
}

.two{
  transition: .5s;
  transform: translateX(-30%);
}

.cta:hover .three{
  animation: color_anim 1s infinite .2s;
}

.cta:hover .one{
  transform: translateX(0);
  animation: color_anim 1s infinite .6s;
}

.cta:hover .two{
  transform: translateX(0);
  animation: color_anim 1s infinite .4s;
}

@keyframes color_anim{
  0%{ fill:white; }
  50%{ fill:#459ecf; }
  100%{ fill:white; }
}


/* SEPARATEUR */

.separator{
  width: 100%;
  height: 80px;
  background: #065784;
  overflow: hidden;
  display: flex;
  align-items: center;
}

.separator-track{
  display: flex;
  width: max-content;
  white-space: nowrap;
  flex-shrink: 0;
  animation:
    separator-scroll
    25s
    linear
    infinite;
}

.separator-track span{
  display: block;
  flex-shrink: 0;
  padding-right: 5px;
  font-family: "Momo Trust Display";
  font-size: 30px;
  color: #ffffff;
  line-height: 1;
}

@keyframes separator-scroll{

from{
  transform:translateX(0);
}

to{
  transform:translateX(-50%);
}

}

/* A PROPOS DE NOUS */

.about{
  max-width: 100%;
  height: 1000px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* IMAGE */

.about-img{
  width: 50%;
  height: 100%;
  overflow: hidden;
}

.about-img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* TEXTE */

.about-content{
  width: 50%;
  padding-right: 100px;
  padding-left: 100px;
  text-align: right;
}

.about-content h2{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;

}

.about-text{
  margin-top: 10px;
  font-family: "Momo Trust Sans";
  font-size: 20px;
  color: #065784;
  font-weight: 400;
  line-height: 1.3;

}

.about-text.highlight{
  margin-top: 15px;
  font-weight: 500;
}

/* SECTION EXPERTISE */

.expertise{
  min-height: 400px;
  background: #065784;
  padding: 80px 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.expertise-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #fff;
  text-align: center;
}

.expertise-content{
  margin-top: 20px;
  display: flex;
  justify-content: center;
  gap: 100px;
  width: 100%;
  max-width: 1400px;
}

.expertise-text{
  flex: 1;
  font-family: "Momo Trust Sans";
  font-size: 20px;
  font-weight: 400;
  color: #fff;
  line-height: 1.3;
  text-align: justify;
  max-width: 600px;
}

/* SECTION SERVICES */

/* FOND */

.services{
  position: relative;
  overflow: hidden;
  padding: 80px 100px;
  background: url(main/assets/servicebg.webp);
  background-size: cover;
  background-position: center;
  height: 1000px;
  align-items: center;
  justify-content: center;
  display: flex;
}

.services-overlay{
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,.3);
  z-index: 1;
}


/* CONTENU */

.services-container{
  position: relative;
  z-index: 10;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.service-icon{
  width: 50px;
  height: 50px;
  margin-bottom: 15px;
  object-fit: contain;
}

.services-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #ffffff;
  text-align: center;
}

.services-subtitle{
  margin-top: 20px;
  max-width: 900px;
  text-align: center;
  font-family: "Momo Trust Sans";
  font-size: 20px;
  color: #ffffff;
}

/* CARROUSEL */

.carousel{
  margin-top: 50px;
  width: 1405px;
  position: relative;
}

.cards-window{
  overflow: hidden;
  margin: 0 150px;
}

.cards-track{
  display: flex;
  gap: 30px;
  transition: transform .7s ease;
  align-items: center;
  min-height: 400px;
}

.service-card{
  flex: 0 0 250px;
  height: 350px;
  background: #ffffff;
  transform: skewY(-3deg);
  padding: 40px 25px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.service-card h3{
  font-family: "Momo Trust Display";
  font-size: 25px;
  color: #1a1a1a;
}

.service-card p{
  margin-top: 15px;
  font-family: "Momo Trust Sans";
  font-size: 18px;
  color: #065784;
}

/* FLECHES */

.arrow{
  position: absolute;
  top: 50%;
  transform:
  translateY(-50%);
  border: none;
  background: none;
  color: #ffffff;
  font-size: 100px;
  cursor: pointer;
  z-index: 50;
}

.left{
  left: 80px;
}

.right{
  right: 80px;
}

/* SECTION PROJETS */

/* TITRE ET SOUS TITRE */

.projects{
  position: relative;
  padding: 80px 100px;
  align-items: center;
  justify-content: center;
  display: flex;
  flex-direction: column;
}

.projects-container{
  position: relative;
  z-index: 10;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.projects-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
  text-align: center;
}

.projects-subtitle{
  margin-top: 20px;
  max-width: 900px;
  text-align: center;
  font-family: "Momo Trust Sans";
  font-size: 20px;
  color: #065784;
  margin-bottom: 30px;
}

/* CARTES DE PROJETS QUI TOURNENT */

.projects-wrapper{
  position: relative;
  width: 100%;
  overflow: hidden;
  background: #ffffff;
  z-index: 2;
}

.project{
  height: 700px;
  min-height: 500px;
  display: flex;
  justify-content: center;
  align-items: center;
  perspective: 1000px;
}

.project-card{
  width: 1200px;
  max-width: 1500px;
  height: 100%;
  position: relative;
  display: flex;
  align-items: flex-end;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  will-change: transform;
  transform: translateZ(0);
  transform-style: flat;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  overflow: hidden;
  transition: transform .2s ease;
  outline: none;
  text-decoration: none;
}

.project-content{
  padding:80px;
  width:100%;
  background:linear-gradient(to top, rgba(0,0,0,1.5), transparent);
  color:#fff;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.projects h3,
.projects p{
  text-decoration: none;
  outline: none;
  text-align: center;
}

.project-content a{
  text-decoration: none;
  color: inherit;
}

.project-content h3{
  font-family: "Momo Trust Display";
  font-size: 50px;
  margin: 0;
}

.project-content p{
  font-family: "Momo Trust Sans";
  font-size: 20px;
  margin-top: 10px;
}

.project-card a{
  text-decoration: none;
  color: inherit;
  outline: none;
}

/* IMAGES DE CHAQUE CARTE */

.project1{
  background: url("main/assets/project1.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.project2{
  background: url("main/assets/project2.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.project3{
  background: url("main/assets/project3.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.project4{
  background: url("main/assets/project4.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.project5{
  background: url("main/assets/project5.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.project6{
  background: url("main/assets/project6.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.project7{
  background: url("main/assets/project7.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.project8{
  background: url("main/assets/project8.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

/* BOUTON VOIR PROJETS */

.projects-button{
  max-width: 600px;
  margin-top: 30px;
  display: flex;
  align-items: center;
  padding: 20px 60px;
  background: #065784;
  transform: skewX(-15deg);
  text-decoration: none;
  outline: none;
  border: none;
  cursor: pointer;
  transition: transform .2s ease-in-out;
}

.projects-button:hover{
  opacity: 0.7;
  transform: scale(0.97) skewX(-15deg);
}

.span-projects{
  text-decoration: none;
  font-family: "Momo Trust Display";
  font-size: 25px;
  color: #ffffff;
  text-decoration: none;
  outline: none;
  transform: skewX(15deg);
}

/* SECTION CONTACT DU MAIN */

/* TITRE ET SOUS TITRE */

.home-contact{
  position: relative;
  padding: 80px 100px;
  padding-bottom: 80px;
  align-items: center;
  justify-content: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #065784;
  min-height: 1000px;
}

.home-contact-container{
  width: 100%;
  position: relative;
  z-index: 10;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 1200px;
}

.home-contact-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #ffffff;
  text-align: center;
}

.home-contact-subtitle{
  margin-top: 20px;
  max-width: 900px;
  text-align: center;
  font-family: "Momo Trust Sans";
  font-size: 20px;
  color: #ffffff;
  margin-bottom: 30px;
}

/* FORMULAIRE */

.home-contact-form{
  width: 100%;
  max-width: 900px;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

/* CHAMPS */

.home-contact-input,
.home-contact-textarea{
  width: 100%;
  max-width: 900px;
  background: #ffffff;
  border: none;
  outline: none;
  padding: 25px 30px;
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #1a1a1a;
}

.home-contact-input{
  height: 75px;
}

.home-contact-input:not(:first-child){
  margin-top: 30px;
}

.home-contact-textarea{
  margin-top: 30px;
  min-height: 220px;
  resize: none;
  overflow: hidden;
  line-height: 1.4;
}

/* PLACEHOLDERS */

.home-contact-input::placeholder,
.home-contact-textarea::placeholder{
  color: #e4e4e4;

}

/* CHECKBOX */

.home-contact-checkbox-row{
  margin-top: 30px;
  width: 100%;
  max-width: 900px;
  display: flex;
  align-items: flex-start;
  gap: 15px;
  justify-content: flex-start;
  cursor: pointer;
}

.home-contact-checkbox{
  display: none;
}

.home-contact-checkbox-custom{
  width: 22px;
  height: 22px;
  background: #ffffff;
  flex-shrink: 0;
  position: relative;
}

.home-contact-checkbox:checked
+
.home-contact-checkbox-custom::after{
  content: "✕";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate( -50%, -50% );
  font-size: 18px;
  font-weight: 600;
  color: #065784;
}

.home-contact-checkbox-text{
  font-family: "Momo Trust Sans";
  font-size: 18px;
  color: #ffffff;
  line-height: 1.4;
}

/* CTA */

.home-contact-submit{
  max-width: 600px;
  margin-top: 30px;
  display: flex;
  align-items: center;
  padding: 20px 60px;
  text-decoration: none;
  font-family: "Momo Trust Display";
  font-size: 25px;
  color: #065784;
  background: #ffffff;
  transform: skewX(-15deg);
  border: none;
  cursor: pointer;
  transition: transform .2s ease-in-out;
}

.home-contact-span{
  transform: skewX(15deg);
}

.home-contact-submit:hover{
  opacity: 0.7;
  transform: scale(0.97) skewX(-15deg);
}







/* ===== RESPONSIVE ===== */

/* SECTION HERO */

@media(max-width:1100px) {

.hero{
  height: auto;
  min-height: 100vh;
  padding: 100px 30px 100px;
}

.hero-content{
  margin: 0;
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.hero-title{
  font-size: clamp( 42px, 10vw, 65px);
}

.hero-text{
  margin-top: 20px;
  font-size: 20px;
  max-width: 700px;
}

.cta{
  margin-top: 30px;
  padding: 18px 40px;
  font-size: 26px;
  box-shadow: 5px 5px 0 white;
}

}

@media(max-width:1099px) {

.hero{
  justify-content: space-evenly;
}

}

/*SEPARATEUR*/

@media(max-width:1100px) {

.separator{
  height: 60px;
}

.separator-track span{
  font-size: 18px;
  padding-right: 5px;
}

}

/*A PROPOS DE NOUS*/

@media(max-width:1100px) {

.about{
  flex-direction: column;
  height: auto;
}

.about-img{
  width: 100%;
  height: 400px;
}

.about-content{
  width: 100%;
  padding: 30px;
}

.about-content h2{
  font-size: 36px;
  margin-top: 60px;
}

.about-text {
  font-size: 18px;
}

.about-text.highlight{
  margin-bottom: 60px;
}

}

/*SECTION EXPERTISE*/

@media(max-width:1100px) {

.expertise {
  min-height: auto;
  padding: 80px 30px;
}

.expertise-title {
  font-size: 36px;
}

.expertise-content {
  flex-direction: column;
  gap: 30px;
  align-items: center;
}

.expertise-text {
  font-size: 18px;
  max-width: 100%;
}

}

/* SECTION SERVICES */

@media(max-width:1100px) {

.services{
padding: 80px 30px;
}

.services-title{
font-size: 36px;
}

.services-subtitle{
font-size: 18px;
}

.cards-window{
margin: 0 70px;
}

.service-card{
flex: 0 0 calc(50% - 15px);
height: 320px;
}

.arrow{
display: block;
font-size: 100px;
}

.left{
left: 0;
}

.right{
right: 0;
}

}

@media(max-width:1300px) {
.carousel{
  width: 850px;
}
}

@media(max-width:1100px) {
.carousel{
  width: 600px;
}
}

@media(max-width:1000px) {
.carousel{
  width: 600px;
}
}

@media(max-width:900px) {
.carousel{
  width: 600px;
}
}

@media(max-width:700px) {
.carousel{
  width: 400px;
}
.service-card{
  flex: 0 0 100%;
}
}

@media(max-width:600px) {

.carousel{
  width: 350px;
}

.service-card{
  flex: 0 0 100%;
}

.cards-window{
  margin: 0 50px;
}

.arrow{
  font-size: 80px;
}
}

/* SECTION PROJETS */

@media(max-width:1100px) {

.projects{
padding: 60px 30px;
}

.projects-title{
font-size: 36px;
}

.projects-subtitle{
font-size: 18px;
}

.project{
height: 500px;
}

.project-content{
padding: 40px;
}

.project-content h3{
font-size: 32px;
text-align: center;
}

.project-content p{
font-size: 16px;
text-align: center;
}
}

@media(max-width:600px) {

.project{
height: 420px;
}

.project-content{
padding: 25px;
}

.project-content h3{
font-size: 26px;
}

.projects-button{
  min-width: 250px;
  max-width: 100%;
  text-align: center;
  padding: 18px 40px;
  margin: 30px 30px 80px 30px;
}

.span-projects{
  font-size: 18px;
}
}


/* SECTION HOME CONTACT */

@media(max-width:1100px){

.home-contact{
  padding: 80px 30px;
  min-height: auto;
}

.home-contact-title{
  font-size: 36px;
}

.home-contact-subtitle{
  font-size: 18px;
}

.home-contact-input,
.home-contact-textarea{
  font-size: 20px;
  max-width: 100%;
  padding: 22px;
}

.home-contact-input{
  height: 70px;
}

.home-contact-textarea{
  min-height: 180px;
}

.home-contact-checkbox-row{
  gap: 12px;
}

.home-contact-checkbox-text{
  font-size: 16px;
}

.home-contact-submit{
  font-size: 22px;
  padding: 18px 45px;
}

}

@media(max-width:700px) {

.home-contact-input{
  height: 65px;
}

.home-contact-input,
.home-contact-textarea{
  font-size: 18px;
  padding: 18px;
}

.home-contact-title{
  font-size: 30px;
}

.home-contact-subtitle{
  font-size: 16px;
}

.home-contact-submit{
  justify-content: center;
}
}




/* ========================== */
/* ====== PAGE PROJETS ====== */
/* ========================== */

.project-page{
  min-height: auto;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
}

.project-page-header{
margin: 70px 100px 0 100px;
}

.project-page-content{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
}

.project-back{
  font-family: "Momo Trust Sans";
  text-decoration: underline;
  color: #5E5E5E;
  font-weight: 600;
  font-size: 16px;
}

.project-page-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
  text-align: center;
}

.project-page-subtitle{
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #065784;
  text-align: center;
  margin-top: 20px;
  max-width: 900px;
  padding-bottom: 20px;
}


/* FILTRES */

.project-page-filters{
  width: calc(100% - 320px);
  margin: 0 auto 40px auto;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 12px;
}

.project-filter{
  padding: 10px 18px;
  border: 1px solid #e5e5e5;
  background: #ffffff;
  color: #1a1a1a;
  font-family: "Momo Trust Sans";
  font-size: 15px;
  cursor: pointer;
  transition: .2s ease;

}

.project-filter:hover{
  border-color: #065784;
  color: #065784;
  transform: translateY(-1px);
}

.project-filter.active{
  background: #065784;
  color: #ffffff;
  border-color: #065784;
}



/* GRID PROJETD */

.project-page-grid{
  width: calc(100% - 320px);
  margin: auto;
  display: grid;
  align-items: start;
  grid-template-columns: repeat( 3, minmax(0,1fr) );
  gap: 30px;
  padding-bottom: 160px;
}


/* CARTES */

.project-page-card{
  position: relative;
  overflow: hidden;
  aspect-ratio: 1/1.15;
  display: block;
  text-decoration: none;
  transform: scale(1);
  opacity: 1;
  transform: scale(1);
  transition: .25s ease,
    transform .25s ease,
    box-shadow .25s ease,
    opacity .25s ease;
  cursor: pointer;
  will-change: transform, opacity;
}

.project-page-card.is-hidden{
  display: none;
}

.project-page-card:hover{
  transform: translateY(-4px) scale(.99);
}

.project-page-card:active{
  transform: scale(.96);
}


/* IMAGES */

.project-page-card img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform .6s ease;
}

.project-page-card:hover img{
  transform: scale(1.05);
}


/* DEGRADE */

.project-page-overlay{
  position: absolute;
  inset: 0;
  background: linear-gradient( to top, rgba(0,0,0,.88) 0%, rgba(0,0,0,.55) 35%, rgba(0,0,0,0) 80% );
}


/* CONTENT */

.project-page-info{
  position: absolute;
  left: 30px;
  right: 30px;
  bottom: 30px;
  z-index: 2;
}


.project-page-card-title{
  font-family: "Momo Trust Display";
  color: #ffffff;
  font-size: 30px;
  line-height: 1;
  margin: 0;
}


/* SOUS TITRE */

.project-page-card-subtitle{
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  color: #ffffff;
  font-family: "Momo Trust Sans";
  font-size: 18px;
  opacity:0;
  transform: translateY(10px);
  transition: .25s ease;
}


.project-page-card:hover
.project-page-card-subtitle{
  opacity: 1;
  transform: translateY(0);
}




/* ===== RESPONSIVE ===== */

@media(max-width:1200px) {

.project-page{
  min-height: auto;
  display: flex;
  flex-direction: column;
}

.project-page-header{
  margin: 30px 30px 10px 30px;
}

.project-back{
  font-size: 14px;
}

.project-page-content{
 display: flex;
 flex-direction: column;
 justify-content: center;
 align-items: center;
 margin-left: 30px;
 margin-right: 30px;
}

.project-page-title{
  font-size: 36px;
}

.project-page-subtitle{
  font-size: 18px;
  max-width: 700px;
}
}

@media(max-width:700px) {

.project-back{
  font-size: 14px;
}
}

@media(max-width:600px) {

.project-page-header{
margin: 30px 30px 10px 30px;
}

.project-page-title{
  font-size: 28px;
  line-height: 1.3;
}

.project-page-subtitle{
  font-size: 16px;
  margin-top: 15px;
  line-height: 1.3;
  max-width: 100%;
}
}

@media(max-width:1100px) {

.project-page-grid{
  width: calc(100% - 80px);
  grid-template-columns: repeat( 2, 1fr );
}

.project-page-card-title{
  font-size: 32px;
}

.project-page-card-subtitle{
  opacity: 1;
  transform: none;
}

}



@media(max-width:768px) {

.project-page-grid{
  width: calc(100% - 60px);
  grid-template-columns: 1fr;
  gap: 20px;
}

.project-page-card{
  aspect-ratio: 1/.95;
}

.project-page-card-title{
  font-size: 26px;
}

.project-page-card-subtitle{
  opacity: 1;
  transform: none;
}
}

@media(max-width:1100px){

  .project-page-filters{
    width: calc(100% - 80px);
  }
}

@media(max-width:768px){

  .project-page-filters{
    width: calc(100% - 60px);
    gap: 8px;
  }

  .project-filter{
    font-size: 13px;
    padding: 8px 14px;
  }
}






/* ========================== */
/* ====== PAGE CONTACT= ===== */
/* ========================== */

.contact{
  min-height: 1000px;
  background-color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contact-content{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 80px 100px;
}

.contact-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
  text-align: center;
}

.contact-subtitle{
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #065784;
  text-align: center;
  margin-top: 20px;
  max-width: 1000px;
}

/* FORMULAIRE */

.contact-form{
  width: 100%;
  max-width: 900px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
}

/* CHAMPS */

.contact-input,
.contact-textarea{
  width: 100%;
  max-width: 900px;
  background: #065784;
  border: none;
  outline: none;
  padding: 25px 30px;
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #ffffff;
}

.contact-input{
  height: 75px;
}

.contact-input:not(:first-child){
  margin-top: 30px;
}

.contact-textarea{
  margin-top: 30px;
  min-height: 220px;
  resize: none;
  overflow: hidden;
  line-height: 1.4;
}

/* PLACEHOLDERS */

.contact-input::placeholder,
.contact-textarea::placeholder{
  color: #e4e4e4;
  opacity: 0.3;
}

/* CHECKBOX */

.contact-checkbox-row{
  margin-top: 30px;
  width: 100%;
  max-width: 900px;
  display: flex;
  align-items: flex-start;
  gap: 15px;
  justify-content: flex-start;
  cursor: pointer;
}

.contact-checkbox{
  display: none;
}

.contact-checkbox-custom{
  width: 22px;
  height: 22px;
  background: #065784;
  flex-shrink: 0;
  position: relative;
}

.contact-checkbox:checked
+
.contact-checkbox-custom::after{
  content: "✕";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate( -50%, -50% );
  font-size: 18px;
  font-weight: 600;
  color: #ffffff;
}

.contact-checkbox-text{
  font-family: "Momo Trust Sans";
  font-size: 18px;
  color: #065784;
  line-height: 1.4;
}

/* CTA */

.contact-submit{
  max-width: 600px;
  margin-top: 30px;
  display: flex;
  align-items: center;
  padding: 20px 60px;
  text-decoration: none;
  font-family: "Momo Trust Display";
  font-size: 25px;
  color: #ffffff;
  background: #065784;
  transform: skewX(-15deg);
  border: none;
  cursor: pointer;
  transition: transform .2s ease-in-out;
}

.contact-span{
  transform: skewX(15deg);
}

.contact-submit:hover{
  opacity: 0.7;
  transform: scale(0.97) skewX(-15deg);
}


/* ===== RESPONSIVE ===== */

@media(max-width:1100px) {

.contact{
  min-height: auto;
  padding: 60px 0;
}

.contact-content{
  padding: 60px 30px;
}

.contact-title{
  font-size: 30px;
}

.contact-subtitle{
  font-size: 18px;
  max-width: 700px;
}
}

@media(max-width:600px) {

.contact{
  padding: 40px 0;
}

.contact-content{
  padding: 40px 20px;
}

.contact-title{
  font-size: 28px;
  line-height: 1.3;
}

.contact-subtitle{
  font-size: 16px;
  margin-top: 15px;
  line-height: 1.3;
  max-width: 100%;
}
}

/* FORMULAIRE */

@media(max-width:1100px){

.contact-input,
.contact-textarea{
  font-size: 20px;
  max-width: 100%;
  padding: 22px;
}

.contact-input{
  height: 70px;
}

.contact-textarea{
  min-height: 180px;
}

.contact-checkbox-row{
  gap: 12px;
}

.contact-checkbox-text{
  font-size: 16px;
}

.contact-submit{
  font-size: 22px;
  padding: 18px 45px;
}

}

@media(max-width:700px) {

.contact-input{
  height: 65px;
}

.contact-input,
.contact-textarea{
  font-size: 18px;
  padding: 18px;
}

.contact-title{
  font-size: 30px;
}

.contact-subtitle{
  font-size: 16px;
}

.contact-submit{
  justify-content: center;
}
}






/* ========================== */
/* ======== PAGE FAQ ======== */
/* ========================== */

.faq {
  min-height: 70vh;
  padding: 80px 100px;
  background: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.faq-header {
  text-align: center;
  margin-bottom: 60px;
}

.faq-title {
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
}

.faq-subtitle {
  font-family: "Momo Trust Sans";
  font-size: 20px;
  color: #065784;
  margin-top: 15px;
  max-width: 700px;
}

/* container */
.faq-container {
  width: 100%;
  max-width: 900px;
}

/* item */
.faq-item {
  border-bottom: 1px solid #e5e5e5;
}

/* question */
.faq-question {
  width: 100%;
  background: none;
  border: none;
  text-align: left;
  padding: 20px 0;
  font-size: 18px;
  font-family: "Momo Trust Sans";
  font-weight: 600;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #1a1a1a;
}

/* answer */
.faq-answer {
  max-height: 0;
  overflow: hidden;
  transition: max-height .3s ease, padding .3s ease;
  font-family: "Momo Trust Sans";
  font-size: 16px;
  color: #555;
}

/* open state */
.faq-item.active .faq-answer {
  max-height: 200px;
  padding-bottom: 20px;
}

/* icon rotate */
.faq-item.active .faq-question span {
  transform: rotate(45deg);
  transition: .3s ease;
}

.faq-link {
  font-weight: 700;
  color: #065784;
  text-decoration: none !important;
  border-bottom: 1px solid #065784;
}


.faq-link:hover {
  opacity: 0.8;
}


/* RESPONSIVE */
@media (max-width: 768px) {
  .faq {
    padding: 60px 30px;
  }

  .faq-title {
    font-size: 32px;
  }

  .faq-question {
    font-size: 16px;
  }
}


/* ========================== */
/* ===== PAGE MENTIONS ====== */
/* ========================== */

.mentions{
  background-color: #ffffff;
  padding: 80px 0;
}

.mentions-content{
  max-width: 1000px;
  margin: 0 auto;
  padding: 0 100px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.mentions-content h2{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


.mentions-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
  text-align: center;
}

.mentions-subtitle{
  font-family: "Momo Trust Sans";
  font-size: 25px;
  font-weight: 400;
  color: #065784;
  text-align: center;
  margin-top: 20px;
  max-width: 900px;
}

.mentions-primary-title{
  font-family: "Momo Trust Display";
  font-size: 28px;
  color: #1a1a1a;
}

.mentions-secondary-title{
  font-family: "Momo Trust Display";
  font-size: 20px;
  color:#1a1a1a;
  margin-top: 20px;
  margin-bottom: 5px;
}

.mentions-tertiary-title{
  font-family: "Momo Trust Sans";
  font-size: 16px;
  color: #065784;
  margin-top: 10px;
  margin-bottom: 3px;
}

.mentions-content p, .mentions-content li{
  font-family: "Momo Trust Sans";
  font-size: 16px;
  color: #5E5E5E;
}

.mentions-content b{
  color: #1a1a1a;
}

/* ===== RESPONSIVE ===== */

@media(max-width:1100px) {

.mentions{
  max-width: 100%;
  padding: 60px 40px;
}

.mentions-content{
  padding: 40px 30px;
}


.mentions-title{
  font-size: 36px;
}

.mentions-subtitle{
  font-size: 24px;
}

.mentions-primary-title{
  font-size: 20px;
}

.mentions-secondary-title{
  font-size: 18px;
}

.mentions-tertiary-title{
  font-size: 16px;
}

.mentions-content p, .mentions-content li{
  font-size: 14px;
}

}


@media(max-width:600px) {

.mentions{
  padding: 40px 0;
}

.mentions-content{
  padding: 40px 20px;
}

.mentions-title{
  font-size: 28px;
  line-height: 1.3;
}

.mentions-subtitle{
  font-size: 16px;
  margin-top: 15px;
  line-height: 1.3;
  max-width: 100%;
}
}




/* ========================== */
/* ===== PAGE MERCI ====== */
/* ========================== */

.thanks{
  min-height: 800px;
  background-color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 80px 0;
}

.thanks-content{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 80px 100px;
}

.thanks-icon{
  height: 200px;
  display: block;
  justify-content: center;
  align-items: center;
}

.thanks-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
  text-align: center;
}

.thanks-subtitle{
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #065784;
  text-align: center;
  margin-top: 20px;
  max-width: 900px;
  padding-bottom: 50px;
}

.thanks-back{
  font-family: "Momo Trust Sans";
  text-decoration: underline;
  color: #5E5E5E;
  font-weight: 600;
  font-size: 16px;
}


/* ===== RESPONSIVE ===== */

@media(max-width:1100px) {

.thanks{
  min-height: auto;
  padding: 60px 0;
}

.thanks-content{
  padding: 60px 30px;
}

.thanks-icon{
  height: 100px;
}

.thanks-title{
  font-size: 36px;
}

.thanks-subtitle{
  font-size: 18px;
  max-width: 700px;
}
}

@media(max-width:600px) {

.thanks{
  padding: 40px 0;
  min-height: 500px;
}

.thanks-content{
  padding: 40px 20px;
}

.thanks-title{
  font-size: 28px;
  line-height: 1.3;
}

.thanks-subtitle{
  font-size: 16px;
  margin-top: 15px;
  line-height: 1.3;
  max-width: 100%;
}

.thanks-back{
  font-size: 14px;
}
}




/* ========================== */
/* ===== PAGE 404 ====== */
/* ========================== */

.error{
  min-height: 800px;
  background-color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 80px 0;
}

.error-content{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 80px 100px;
}

.error-icon{
  height: 200px;
  display: block;
  justify-content: center;
  align-items: center;
}

.error-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
  text-align: center;
}

.error-subtitle{
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #065784;
  text-align: center;
  margin-top: 20px;
  max-width: 900px;
  padding-bottom: 50px;
}

.error-back{
  font-family: "Momo Trust Sans";
  text-decoration: underline;
  color: #5E5E5E;
  font-weight: 600;
  font-size: 16px;
}


/* ===== RESPONSIVE ===== */

@media(max-width:1100px) {

.error{
  min-height: auto;
  padding: 60px 0;
}

.error-content{
  padding: 60px 30px;
}

.error-icon{
  height: 100px;
}

.error-title{
  font-size: 36px;
}

.error-subtitle{
  font-size: 18px;
  max-width: 700px;
}
}

@media(max-width:600px) {

.error{
  padding: 40px 0;
  min-height: 500px;
}

.error-content{
  padding: 40px 20px;
}

.error-title{
  font-size: 28px;
  line-height: 1.3;
}

.error-subtitle{
  font-size: 16px;
  margin-top: 15px;
  line-height: 1.3;
  max-width: 100%;
}

.error-back{
  font-size: 14px;
}
}